package com.emr.service;

import com.emr.entity.Emr_Dictionary;

import java.util.List;

public interface Emr_DictionaryService {
    /**
     * 根据类型代码查找字典列表
     *
     * @param emrDictionary
     * @return
     */
    List<Emr_Dictionary> dicByTypeCode(Emr_Dictionary emrDictionary);

    /**
     * 根据字段查找字典列表
     *
     * @param emrDictionary
     * @return
     */
    List<Emr_Dictionary> dicByClo(Emr_Dictionary emrDictionary);

    /**
     * 根据字段查找记录
     *
     * @param emrDictionary
     * @return
     */
    int insertSel(Emr_Dictionary emrDictionary);

    /**
     * 根据id删除记录
     *
     * @param id
     * @return
     */
    int delById(Integer id);

    /**
     * 根据id修改记录
     *
     * @param emrDictionary
     * @return
     */
    int updateCloById(Emr_Dictionary emrDictionary);
}
